class RotatingRect extends Animation {
  int x,y;
  
  public RotatingRect (int x, int y, char triggerKey, SoundFile sound) {
    super(triggerKey,sound);
    this.x = x;
    this.y = y;
  }
  
  void animate () {
    if (animationCounter>0) {
      animationCounter++;
      
      pushMatrix();
      translate(x,y);
      rotate(2*PI*animationCounter*0.3);
      rect(-50,-50,100,100);
      popMatrix();
    }
  }
}