// definiere Interface
interface Plotable {
  void plot();
}

// definiere Interface
interface Triggerable {
  void trigger(char c);
  void stopAnimation(char c);
}

// definiere Klasse
class Animation implements Plotable, Triggerable {
  // Felder: Triggertaste, counter
  char triggerKey;
  int animationCounter;
  
  // Konstruktor
  // Parameter: Taste
  public Animation (char triggerKey) {
    this.triggerKey = triggerKey;
  }
  
  // implementiert Methode des Interface
  void trigger (char c) {
    // wenn richtige Taste
    if (triggerKey == c) {
      // setze counter auf 1 -> Animation start
      animationCounter = 1;
    }
  }
  
  // beende Animation
  void stopAnimation (char c) {
    // wenn richtige Taste
    if (triggerKey == c) {
      // Setze counter auf 0 -> Animation stop
      animationCounter = 0;
    }
  }
  
  // implementiert Methode des Interface
  void plot () {}
  
}